%define name zz_sshd_aklog
%define version 3.9
%define release 4

Summary: Fixup aklog 
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Fermi
BuildArch: noarch

%description
First there was AklogCmd, and then there wasn't.
Then there was KerberosGetAFSToken, but it didn't work.
This rpm comments out AklogCmd, if it's in there.  
This rpm leaves KerberosGetAFSToken alone, 
or turns it off if you are uninstalling this rpm.

%post
if [ -s /etc/ssh/sshd_config ] ; then
	cat /etc/ssh/sshd_config | sed 's:^AklogCmd:#AklogCmd:' > /etc/ssh/sshd_config.tmp
	mv -f /etc/ssh/sshd_config.tmp /etc/ssh/sshd_config
fi

%postun
if [ "$1" = "0" ] ; then
	if [ -s /etc/ssh/sshd_config ] ; then
		cat /etc/ssh/sshd_config | sed 's:^KerberosGetAFSToken yes:KerberosGetAFSToken no:' > /etc/ssh/sshd_config.tmp
		mv -f /etc/ssh/sshd_config.tmp /etc/ssh/sshd_config
	fi
fi

%files

%changelog
* Wed Aug 23 2006 Troy Dawson <dawson@fnal.gov> 3.9-3
- Rearranged when things got done

* Wed Aug 23 2006 Troy Dawson <dawson@fnal.gov> 3.9-2
- Changed /etc/ssh/sshd_conf to /etc/ssh/sshd_config

* Mon Aug 21 2006 Troy Dawson <dawson@fnal.gov> 3.9-1
- Changed it so that it applies to the 3.9 release

